# pimcore source files
/public/bundles
!/public/bundles/app

/public/var/
/public/sitemap*.xml

# symfony default
/.web-server-pid
/build/

# local config
/.env.local
/.env.local.php
/.env.*.local
/config/secrets/prod/prod.decrypt.private.php
!/config/local
/config/local/*
!config/local/.gitkeep

# pimcore legacy (remove this for your own development)
!/legacy
/legacy/*
!legacy/.gitkeep
!legacy/bundle

/var/*
!/var/.gitkeep
!/var/classes/
!/var/classes/DataObject

# project specific recommendations
!/var/config
/var/config/tag-manager.php
/var/config/reports.php
/var/config/system.yml
/var/config/maintenance.php

/public/var/assets/*
/public/var/tmp/*

# PHP-CS-Fixer
/.php_cs
/.php_cs.cache

# composer
/composer.lock
/vendor

# frontend stack metadata, cache, logs
/node_modules
/bower_components
.sass-cache/
/npm-debug.log
yarn-error.log

# PhpStorm / IDEA
.idea
# NetBeans
nbproject
# VS Code
.vscode

# deployment script
/src/Tool/Deployer/config.php
/deployment_tmp

# keep legacy paths ignored for easier migration
/plugins/
/tools/
/website/
.temp

# various
/.vagrant
/TODO
.DS_Store

# keep .dummy .keep and .gitkeep files
!.dummy
!.keep
!.gitkeep

###> phpunit/phpunit ###
/phpunit.xml
.phpunit.result.cache
###< phpunit/phpunit ###

###> friendsofphp/php-cs-fixer ###
/.php-cs-fixer.php
/.php-cs-fixer.cache
###< friendsofphp/php-cs-fixer ###

###> phpstan/phpstan ###
phpstan.neon
###< phpstan/phpstan ###
